Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.eventmodel
Interface ERFListener

All Known Implementing Classes:
  ModelFactory

public interface ERFListener

An ERFListener is registered with the EventRecordFactory. An ERFListener listens for Records coming from the stream via the EventRecordFactory

Author:
  Andrew C. Oliver acoliver@apache.org
See Also:
  `EventRecordFactory`

Method Summary
`boolean` | `processRecord(Record rec)` Process a Record.

Method Detail

### processRecord

    public boolean processRecord(Record rec)

  Process a Record. This method is called by the EventRecordFactory when a record is returned.

  Returns:
    boolean specifying whether the effort was a success.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.